<div class="d-flex justify-content-center align-items-center">
    <div class="card" style="width: 18rem;">
      <div class="card-body">
        <form #loginForm="ngForm" (ngSubmit)="onSubmit(loginForm)">
          <div class="form-group">
            <label for="id">Id</label>
            <input type="text" class="form-control" placeholder="Enter id" id="id" [(ngModel)]="userModal.id" name="id" #id="ngModel"
              required>
            <span class="text-danger" *ngIf="(id.touched || loginForm.submitted) && id.errors?.required">
              Id is required
            </span>
          </div>
          <div class="form-group">
            <label for="name">Name:</label>
            <input type="text" class="form-control" placeholder="Enter name" id="name" [(ngModel)]="userModal.name" name="name" #name="ngModel"
              required>
            <span class="text-danger" *ngIf="(name.touched || loginForm.submitted) && name.errors?.required">
              Name is required
            </span>
          </div>
          <div class="form-group">
            <label for="pwd">Password:</label>
            <input type="password" class="form-control" placeholder="Enter password" id="pwd" [(ngModel)]="userModal.password" name="password"
              #password="ngModel" required>
            <span class="text-danger" *ngIf="(password.touched || loginForm.submitted) && password.errors?.required">
              Password is required
            </span>
          </div>
          <div class="form-group">
            <label for="cource">Courses:</label>
            <textarea class="form-control" rows="4" cols="50" [(ngModel)]="userModal.cource" name="cource" #cource="ngModel" required>Courses</textarea>
            <span class="text-danger" *ngIf="(cource.touched || loginForm.submitted) && cource.errors?.required">
              Courses is required
            </span>
          </div>
          <div class="form-group">
            <label for="city">City:</label>
            <input type="text" class="form-control" placeholder="Enter city" id="city" [(ngModel)]="userModal.city" name="city" #city="ngModel"
              required>
            <span class="text-danger" *ngIf="(city.touched || loginForm.submitted) && city.errors?.required">
              City is required
            </span>
          </div>
          <div class="form-group">
            <label for="state">State:</label>
            <input type="text" class="form-control" placeholder="Enter state" id="state" [(ngModel)]="userModal.state" name="state" #state="ngModel"
              required>
            <span class="text-danger" *ngIf="(state.touched || loginForm.submitted) && state.errors?.required">
              State is required
            </span>
          </div>
          <div class="form-group">
            <label for="country">Country:</label>
            <input type="text" class="form-control" placeholder="Enter country" id="country" [(ngModel)]="userModal.country" name="country"
              #country="ngModel" required>
            <span class="text-danger" *ngIf="(country.touched || loginForm.submitted) && country.errors?.required">
              Country is required
            </span>
          </div>
          <button type="submit" class="btn btn-primary">Submit</button>
        </form>
        <a routerLink="">Login</a>
      </div>
    </div>
  </div>